screen gallery:
    tag menu

    add "dumdurudum"

    $start = gallery_page * maxperpage
    $end = min(start + maxperpage - 1, len(gallery_items) -1)


    grid maxnumx maxnumy:
        xfill True
        yfill True

        for i in range(start, end +1):
            $gallery_items[i].refresh_lock()
            if gallery_items[i].is_locked:
                add gallery_items[i].locked:
                    xalign 0.5
                    yalign 0.5
            else:
                imagebutton idle gallery_items[i].thumb:
                    action Show("gallery_closeup", dissolve, gallery_items[i].images)
                    xalign 0.5
                    yalign 0.5
        for i in range(end + 1, start + maxperpage):
            null

    grid maxnumx maxnumy:
        xfill True
        yfill True

        for i in range(start, end +1):
            hbox:
                spacing maxthumbx - 250
                xalign 0.5
                yalign 0.1
                $total = gallery_items[i].num_images()
                $partial = gallery_items[i].num_unlocked
                text gallery_items[i].name
                text "[partial]/[total]"
        for i in range(end - start + 1, maxperpage):
            null


    if gallery_page >0:
        textbutton "Previous":
            action SetVariable("gallery_page", gallery_page -1)
            xalign 0.1
            yalign 0.98
    if (gallery_page + 1) * maxperpage < len(gallery_items):
        textbutton "Next":
            action SetVariable("gallery_page", gallery_page +1)
            xalign 0.9
            yalign 0.98


    textbutton "Exit":
        action Return()
        xalign 0.5
        yalign 0.98

    if persistent.unlocked == False:
        textbutton "Unlock All" action SetVariable("persistent.unlocked", True) align(0.5,0.04) text_style "shaddyTextButton"
    else:
        textbutton "Lock All" action SetVariable("persistent.unlocked", False) align(0.5,0.04) text_style "shaddyTextButton"

screen gallery_closeup(images):


    add images[closeup_page] at truecenter


    if closeup_page > 0:

        textbutton "Previous":
            #action [SetVariable("closeup_page", 0), Hide("gallery_closeup", dissolve)]
            action SetVariable("closeup_page", closeup_page -1)
            xalign 0.1
            yalign 0.98
            #background "dumdurudum"
    if closeup_page < len(images) -1:
        textbutton "Next":
            #action [SetVariable("closeup_page", 0), Hide("gallery_closeup", dissolve)]
            action SetVariable("closeup_page", closeup_page +1)
            xalign 0.9
            yalign 0.98
            #background "dumdurudum"

    textbutton "Exit":
        action [SetVariable("closeup_page", 0), Hide("gallery_closeup", dissolve)]
        xalign 0.5
        yalign 0.98
        #background "dumdurudum"
